﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MySqlConnection;

namespace Application
{
    public static class VOMapperImage
    {
        public static VOImage ImageInstanceFromData(ImageClass imgItem)
        {
            VOImage img = new VOImage();
            img.Id = imgItem.id;
            img.Title = imgItem.name;
            img.Description = imgItem.description;
            img.Link = string.Empty;
            img.Data = imgItem.data;
            img.Size = imgItem.size;
            img.ImageSource = imgItem.src;
            return img;
        }
    }
}