﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="NewsPageLayout.aspx.cs" MasterPageFile="~/Site.Master" Inherits="PageLayout.NewsPageLayout" %>
<%@ Register TagPrefix="uc1" TagName="AddParagraph" Src="~/UserControls/AddParagraph.ascx" %>
<%@ Register TagPrefix="uc2" TagName="DropDownListImage" Src="~/UserControls/DropDownListImage.ascx" %>
<%@ Register TagPrefix="uc3" TagName="Paragraph" Src="~/UserControls/Paragraph.ascx" %>
<%@ Register TagPrefix="uc4" TagName="Title" Src="~/UserControls/Title.ascx" %>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:Panel ID="pnlManagerBand" runat="server">
    </asp:Panel>
    <uc4:Title ID="titleSpot" runat="server" TextMode="SingleLine" />
    <uc4:Title ID="descriptionSpot" runat="server" TextMode="MultiLine" />
    <uc2:DropDownListImage runat="server"></uc2:DropDownListImage>
    <uc1:AddParagraph runat="server"></uc1:AddParagraph>
    <asp:Repeater ID="rpterParagraph" runat="server">
        <ItemTemplate>
            <uc3:Paragraph ID="paragraphNews" runat="server" 
                            Title='<%# Eval("Title") %>' 
                            Content='<%# Eval("Content") %>' 
                            ParagraphID='<%# Eval("ID") %>' /> 
        </ItemTemplate>
    </asp:Repeater>
</asp:Content>
