﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Images.aspx.cs" MasterPageFile="~/Site.Master" Inherits="Pages.Images" %>
<%@ Register Assembly="project1" Namespace="PictureControls" TagPrefix="cc1" %>
<%@ Register TagPrefix="uc1" TagName="UpdateImageDetails" Src="~/UserControls/UpdateImageDetails.ascx" %>
<%@ Register TagPrefix="uc2" TagName="AddImage" Src="~/UserControls/AddImage.ascx" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:Panel ID="pnlPageTitle" runat="server" CssClass="manager-page-title">
        <h1><asp:Label ID="lblPageTitle" runat="server" Text="Picture Library"></asp:Label></h1>
    </asp:Panel>
    <uc2:AddImage ID="addNewImg" runat="server" />
    <asp:Panel runat="server" ID="pnlAllImages" CssClass="cutomize_content_class">
        <asp:Repeater ID="rpterImg" runat="server">
            <ItemTemplate>
                <uc1:UpdateImageDetails ID="imgDetails" runat="server"  
                                        ImgId='<%#Eval("Id") %>' 
                                        ImgDesc='<%# Eval("Description") %>' 
                                        ImgTitle='<%#Eval("Title") %>' 
                                        ImgUrl='<%#Eval("ImageSource") %>' />
            </ItemTemplate>
        </asp:Repeater>
    </asp:Panel>
</asp:Content>