﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Application;
using Business;
using PictureControls;
using MySqlConnection;
using UserControls.Popups;
using Framework;

namespace Pages
{
    public partial class Images : ContextPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                SelectMenuItem(UserControls.Menu.Menu.ElementsMenu.Images);
                displayAllImages();
            }
        }


        private void displayAllImages()
        {
            List<VOImage> AllImages = BusinessImage.GetAllImages();
            rpterImg.DataSource = BusinessImage.GetAllImages();
            rpterImg.DataBind();
            Session[SessionConstants.SessionListImages] = AllImages;
        }
    }
}