﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.IO;
using Business;
using Application;
using MySqlConnection;

namespace PictureControls
{
    public partial class AddImage : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        private void addPicture()
        {
            int picSize = fileUpload.PostedFile.ContentLength;
            string picType = fileUpload.PostedFile.ContentType;
            byte[] picData = new byte[picSize];
            fileUpload.PostedFile.InputStream.Read(picData, 0, picSize);

            VOImage img = new VOImage();
            img.Data = picData;
            img.Size = picSize;
            img.Description = txtDesc.Text;
            img.Title = txtTitle.Text;
            img.Extension = picType;
            BusinessImage.InsertImage(img);
            Response.Redirect(HttpContext.Current.Request.Url.AbsoluteUri, true);
        }

        private void addPage()
        {
            File.Copy("D:/VS/Projects/CMSProject/project1/PageLayout/NewsPageLayout.aspx", "D:/VS/Projects/CMSProject/project1/Published/News1.aspx");
            Response.Redirect("~/Published/News1.aspx", true);
        }

        protected void save_Click(object sender, EventArgs e)
        {
            addPicture();
        }
    }
}