﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddNews.ascx.cs" Inherits="UserControls.AddNews" %>
<asp:Panel ID="pnlAddImagePopup" runat="server" CssClass="add-news">  
    <asp:Panel ID="pnlCloseAddNews" runat="server" CssClass="close-icon">
        <asp:Image ID="imglose" runat="server" ImageUrl="/Images/Test/close_delete.png" />
    </asp:Panel>
    <fieldset>
        <legend>News</legend>  
        <asp:Panel ID="pnlLoading" runat="server" CssClass="loading">
            <asp:Label runat="server" ID="lblLoading" Text="Adding News..."></asp:Label><br />
            <img src="../../Images/Test/ajax-loader.gif" alt="" />
        </asp:Panel>
        <asp:Panel ID="pnlInputForm" CssClass="form-popup" runat="server">
            <asp:Panel ID="pnlTitle" runat="server">
                <asp:Label ID="lblTitle" runat="server" Text="Title * " />
                <asp:TextBox ID="txtTitle" CssClass="required" runat="server" />
                <asp:Panel ID="pnlRemindTitleRequired" CssClass="required-reminder-text" runat="server">
                    <asp:Label ID="lblReqTitle" runat="server" Text="Please choose a title" />
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlDesc" runat="server">
                <asp:Label ID="lblDesc" runat="server" Text="Description" />
                <asp:TextBox ID="txtDesc" runat="server" Wrap="true" TextMode="MultiLine" Rows=4 Columns=50 />
            </asp:Panel>
        </asp:Panel>
    </fieldset>
    <asp:Button runat="server" CssClass="save postback-button" ID="updateData" OnClientClick="aspnetForm.target ='_blank';" OnClick="save_Click" Text="Save" />
</asp:Panel>  
<asp:Panel ID="pnlBackgroundPopup" runat="server" CssClass="background-popup"></asp:Panel>  
<script language="javascript" type="text/javascript">
    function openNewWin(url) {
        var x = window.open(url, "_blank");
        x.focus();
    }
</script>