﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddParagraph.ascx.cs" Inherits="UserControls.AddParagraph" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit"%>
<asp:Panel ID="pnlUpdatePopup" runat="server" CssClass="add-paragraph-bloc">  
    <asp:Panel ID="pnlAddNewParagraph" runat="server" CssClass="new-paragraph-butt">
        <div>
            <asp:Label ID="lblAddNewParagraph" runat="server" Text="Add new paragraph"></asp:Label>
        </div>
        <asp:Image ID="imgAddNewParagraph" runat="server" ImageUrl="~/Images/Test/1362095942_round_plus.png" />
    </asp:Panel>
    <asp:UpdatePanel ID="updatePanelAddParagraph" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <asp:Panel ID="pnlInputForm" runat="server" CssClass="add-paragraph">
                <asp:Panel ID="pnlLoading" runat="server" CssClass="loading">
                    <asp:Label runat="server" ID="lblLoading" Text="Adding paragraph..."></asp:Label><br />
                    <img src="../../Images/Test/ajax-loader.gif" alt="" />
                </asp:Panel>
                <h3>New paragraph</h3>  
                <asp:Panel ID="pnlTitle" runat="server">
                    <asp:Label ID="lblTitle" runat="server" Text="Title" />
                    <asp:TextBox ID="txtTitle" CssClass="titleField" runat="server" />
                </asp:Panel>
                <asp:Panel ID="pnlDesc" runat="server">
                    <asp:Label ID="lblDesc" runat="server" Text="Text" /><br />
                    <asp:TextBox ID="txtDesc" CssClass="descField" runat="server" Wrap="true" TextMode="MultiLine" Rows=10 Columns=100 onkeypess="return fixTextboxMaxLength(this, 10)" />
                </asp:Panel>
                <asp:Button runat="server" CssClass="paragraph-butt" ID="btnAddParagraph" OnClick="add_Click" Text="Save" />
            </asp:Panel>
            <br />
        </ContentTemplate>    
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="btnAddParagraph" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
</asp:Panel> 