﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="GridViewManager.ascx.cs" Inherits="UserControls.GridViewManager" %>
<asp:GridView runat="server" ID="GVManager" 
                AutoGenerateColumns="false" 
                AllowPaging="true" 
                PageSize="2"
                OnPageIndexChanging="GVManager_PageIndexChanging" 
                OnRowDataBound="GVManager_RowDataBound" 
                OnRowEditing ="GVManager_RowEditing" 
                CssClass="mGrid"> 
    <Columns>
        <asp:TemplateField HeaderText="ID" ItemStyle-CssClass="center">
            <ItemTemplate>
                <asp:Label ID="lblNewsId" runat="server" Text='<%# Eval("ID")%>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Title">
            <ItemTemplate>
                <asp:Label ID="lblNewsTitle" runat="server" Text='<%# Eval("Title")%>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Created">
            <ItemTemplate>
                <asp:Label ID="lblCreatedDate" runat="server" Text='<%# Eval("Created")%>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField HeaderText="Modified">
            <ItemTemplate>
                <asp:Label ID="lblModifiedDate" runat="server" Text='<%# Eval("Modified")%>'></asp:Label>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:CommandField ButtonType="Image" 
                          ItemStyle-CssClass="center"  
                          EditImageUrl="/Images/Test/pen_edit.png" 
                          DeleteImageUrl="/Images/Test/close_delete.png"
                          UpdateImageUrl="/Images/Test/pen_edit.png" 
                          ShowCancelButton="false"
                          ShowDeleteButton="false"
                          ShowEditButton="true" />
        <asp:CommandField ButtonType="Image"
                          ItemStyle-CssClass="center" 
                          DeleteImageUrl="/Images/Test/close_delete.png"
                          EditImageUrl="/Images/Test/pen_edit.png" 
                          UpdateImageUrl="/Images/Test/pen_edit.png" 
                          ShowEditButton="false" 
                          ShowCancelButton="false"
                          ShowDeleteButton="true" />
    </Columns>
    <PagerSettings Mode="NumericFirstLast" PreviousPageImageUrl="/Images/Test/previous_left.png" NextPageImageUrl="/Images/Test/next_right.png" PageButtonCount="8" Position="Bottom" Visible="true" />
</asp:GridView>
