﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;
using CreditAgricole.Framework;

namespace CreditAgricole.Application
{
    public static class VOMapperMep
    {
        public static VOMep GetVOMepFromListItem(SPListItem item)
        {
            VOMep mep = new VOMep();
            mep.Title = MappingTool.CatchNull(item[Constants.TitleField]);
            mep.Name = MappingTool.CatchNull(item[Constants.NameField]);
            mep.Created = MappingTool.CatchDateNull(item[Constants.CreatedDateField]);
            mep.MepStatus = MappingTool.CatchNull(item[Constants.MepStatusField]);
            return mep;
        }
    }
}
