﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI;
using Data;

namespace PictureControls
{
    class DisplayPicture : WebControl
    {
        private VOImage imageToDisplay;

        /// <summary>
        /// La clé de tag à écrire
        /// </summary>
        protected override HtmlTextWriterTag TagKey
        {
            get
            {
                return HtmlTextWriterTag.Div;
            }
        }

        /// <summary>
        /// Chargement du composant
        /// </summary>
        /// <param name="e">Evenement associé au chargement</param>
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            Panel pnlDisplay = new Panel();
            pnlDisplay.CssClass = "images_uploaded clear";
            Panel pnlPicture = new Panel();
            pnlPicture.CssClass = "img_custom_img float_left";
            Panel pnlDesc = new Panel();
            pnlDesc.CssClass = "desc_custom float_left";
            Label lblTitle = new Label();
            lblTitle.CssClass = "img_title_class";
            lblTitle.Text = imageToDisplay.Title;
            Label lblDesc = new Label();
            lblDesc.CssClass = "img_desc_class";
            lblDesc.Text = imageToDisplay.Description;
        }
    }

}
