﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Data
{
    public class VOImage
    {
        /// <summary>
        /// Image Title
        /// </summary>
        public string Title;

        /// <summary>
        /// Image description
        /// </summary>
        public string Description;

        /// <summary>
        /// Image link
        /// </summary>
        public string Link;

        /// <summary>
        /// Image data
        /// </summary>
        public byte[] Data;

        public int Size;

        public string Id;

        public VOImage()
        {
        }

        public VOImage(string id)
        {
            Id = id;
        }

        public VOImage(string id, string title, string desc, string link, byte[] data)
        {
            Id = id;
            Title = title;
            Description = desc;
            Link = link;
            Data = data;
        }
    }
}