﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Application
{
    public class VOImage
    {
        private string title;

        /// <summary>
        /// Image Title
        /// </summary>
        public string Title
        {
            get { return title; }
            set { title = value; }
        }

        private string description;
        /// <summary>
        /// Image description
        /// </summary>
        public string Description
        {
            get { return description; }
            set { description = value; }
        }

        /// <summary>
        /// Image link
        /// </summary>
        public string Link;

        /// <summary>
        /// Image data
        /// </summary>
        public byte[] Data;

        public int Size;

        private string id;
        public string Id
        {
            get { return id; }
            set { id = value; }
        }

        private string src;

        public string ImageSource{
            get { return  src; }
            set { src = value; }
        }
        public VOImage()
        {
        }

        public VOImage(string id)
        {
            Id = id;
        }

        public string Extension;

        public VOImage(string id, string title, string desc, string link, byte[] data)
        {
            Id = id;
            Title = title;
            Description = desc;
            Link = link;
            Data = data;
        }
    }
}