﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DropDownListImage.ascx.cs" Inherits="UserControls.DropDownListImage" %>
<asp:Panel ID="pnlDdlImages" runat="server" CssClass="ddlImages-container">
    <asp:Panel ID="pnlSelectedImg" runat="server" CssClass="ddlImages-selected">
        <asp:UpdatePanel ID="updatePanelAddImg" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Panel ID="pnlSelectedImgTitle" runat="server" CssClass="ddlImages-selector">
                    <asp:TextBox ID="txtSelectedImageTitle" MaxLength=300 Width="300px" runat="server" ReadOnly="true"></asp:TextBox>
                </asp:Panel>
                <asp:Panel ID="pnlAddSelectedImage" runat="server" CssClass="ddlImages-select-butt">
                    <asp:Button ID="btnSelectImage" runat="server" Enabled="false" Text="Select" OnClick="select_click" />
                </asp:Panel>
                <asp:Panel ID="pnlDispalySelectedImg" runat="server" CssClass="display-selected-img">
                    <asp:Image ID="imgSelectedImage" runat="server" Width="700px" />
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnSelectImage" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </asp:Panel>
    <asp:Panel ID="pnlListContainer" runat="server" CssClass="ddlImages">
        <asp:UpdatePanel ID="updatepanelPagingDDLImages" runat="server">
            <ContentTemplate>
                <asp:Repeater ID="rpterImgLine" runat="server">
                    <ItemTemplate>
                        <asp:Panel ID="pnlImgLine" runat="server" CssClass="ddlImages-item">
                            <asp:Panel ID="pnlImgTitle" runat="server">
                                <asp:Label ID="lblImgTitle" Text='<%# Eval("Title") %>' runat="server"></asp:Label>
                            </asp:Panel>
                            <asp:Panel ID="pnlImgImage" runat="server">
                                <asp:Image ID="imgImage" Width="170px" Height="100px" ImageUrl='<%# Eval("ImageSource") %>' runat="server" />
                            </asp:Panel>
                        </asp:Panel>
                    </ItemTemplate>
                </asp:Repeater>
                <asp:Panel ID="pnlNavigation" runat="server" CssClass="ddlImages-navigation">
                    <asp:Panel ID="pnlNav" runat="server">
                        <asp:Panel ID="pnlPrevious" runat="server" CssClass="previous-butt">
                            <asp:ImageButton ID="btnPrevious" runat="server" OnClick="lnkPrevious_Click" ImageUrl="/Images/Test/previous_left.png" />
                        </asp:Panel>
                        <asp:Panel ID="pnlInBetween" runat="server" CssClass="inbetween-butt">
                        </asp:Panel>
                        <asp:Panel ID="pnlNext" runat="server" CssClass="next-butt">
                            <asp:ImageButton ID="btnNext" runat="server" OnClick="lnkNext_Click" ImageUrl="/Images/Test/next_right.png" />
                        </asp:Panel>
                    </asp:Panel>
                </asp:Panel>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnPrevious" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="btnNext" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
    </asp:Panel>
</asp:Panel>

