﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace UserControls.Menu
{
    public partial class Menu : UserControl
    {
        public enum ElementsMenu
        {
            Images,
            Manager,
            NewsPageLayout
        }

        public void SelectMenuItem(ElementsMenu oMenuItem)
        {
            switch (oMenuItem)
            {
                case ElementsMenu.Images:
                    {
                        Images.Selected();
                        break;
                    }
                case ElementsMenu.Manager:
                    {
                        Manager.Selected();
                        break;
                    }
                case ElementsMenu.NewsPageLayout:
                    {
                        this.Visible = false;
                        break;
                    }
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }
    }
}