﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Paragraph.ascx.cs" Inherits="UserControls.Paragraph" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit"%>
<asp:Panel runat="server" ID="pnlDisplayParagraphs" CssClass="paragraph-box">
    <asp:UpdatePanel ID="updatePanelEditParagraph" runat="server" UpdateMode="Conditional"> 
        <ContentTemplate>
            <asp:Panel runat="server" ID="pnlEditDelImg" CssClass="edit-paragraph-butt">
                <asp:Panel ID="pnlEditImg" runat="server" CssClass="edit-icon">
                    <asp:Image ID="imgEdit" runat="server" ImageUrl="/Images/Test/pen_edit.png" />
                </asp:Panel>
                <asp:Panel ID="pnlDelImg" runat="server" CssClass="del-icon">
                    <asp:Image ID="imgDel" runat="server" ImageUrl="/Images/Test/close_delete.png" />
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlDisplayParagraph" runat="server" CssClass="display-paragraph">
                <h1><asp:Label ID="lblParagraphTitle" runat="server"></asp:Label></h1>
                <p id="pContent" runat="server"></p>
            </asp:Panel>
            <asp:Panel ID="pnlLoading" runat="server" CssClass="loading">
                <asp:Panel ID="pnlLoadingText" runat="server">
                    <asp:Label runat="server" ID="lblLoading" Text="Updating paragraph..."></asp:Label>
                </asp:Panel>
                <asp:Panel ID="pnlLoadingGif" runat="server">
                    <img src="../../Images/Test/ajax-loader.gif" alt="" />
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlEditParagraph" runat="server" CssClass="edit-paragraph">
                <asp:Panel ID="Panel4" runat="server">
                    <h1><asp:TextBox ID="txtTitle" runat="server" Width="400px" /></h1>
                    <asp:TextBox ID="txtContent" runat="server" TextMode="MultiLine" Rows=10 />
                </asp:Panel>
                <asp:Panel ID="Panel3" runat="server" CssClass="edit-del-butt">
                    <asp:Panel ID="Panel2" runat="server" CssClass="edit-del-ok">
                        <asp:Button runat="server" ID="btnUpdateParagraph" OnClick="update_Click" Text="Save" />
                    </asp:Panel>
                    <asp:Panel ID="Panel1" runat="server" CssClass="edit-del-cancel">
                        <asp:Button ID="btnCancelEdition" runat="server" Text="Cancel" OnClientClick="return false;" />
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlDeleteParagraph" runat="server" CssClass="del-confirm">
                <asp:Panel ID="Panel5" runat="server" CssClass="del-warn">
		            <asp:Panel ID="Panel8" runat="server">
                        <asp:Label ID="lblMsg" Text="Do you want to delete this paragraph?" runat="server" />
                    </asp:Panel>
		            <asp:Panel ID="Panel9" runat="server">
                        <asp:Image ID="Image2" runat="server" ImageUrl="/Images/Test/warn-delete.png" />
                    </asp:Panel>
                </asp:Panel>
    	        <asp:Panel ID="Panel10" runat="server" CssClass="edit-del-butt">
		            <asp:Panel ID="Panel6" runat="server" CssClass="edit-del-ok">
                        <asp:Button ID="btnDeleteParagraph" runat="server" OnClick="delete_Click" Text="Delete" />
		            </asp:Panel>
		            <asp:Panel ID="Panel7" runat="server" CssClass="edit-del-cancel">
			            <asp:Button ID="Button2" runat="server" Text="Cancel" OnClientClick="return false;" />
		            </asp:Panel>
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlBackgroundPopup" runat="server" CssClass="del-background"></asp:Panel>  
        </ContentTemplate>
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="btnUpdateParagraph" EventName="Click" />
            <asp:AsyncPostBackTrigger ControlID="btnDeleteParagraph" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
    <asp:HiddenField ID="paragraphId" runat="server" />
</asp:Panel>
