﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddImage.ascx.cs" Inherits="PictureControls.AddImage" %>
<asp:Panel ID="pnlAddImageContainer" runat="server" CssClass="add-image-container">
    <asp:Panel ID="pnlAddImagePopup" runat="server" CssClass="add-image-popup">  
        <fieldset>
            <legend>New Picture</legend>  
            <asp:Panel ID="pnlInputForm" CssClass="form-popup" runat="server">
                <asp:Panel ID="pnlFileUpload" runat="server">
                    <asp:Label ID="lblFileUpload" runat="server" Text="Choose your file * " />
                    <asp:FileUpload ID="fileUpload" runat="server" />
                    <asp:Panel ID="pnlRemindFileRequired" CssClass="required-reminder-text" runat="server">
                        <asp:Label ID="Label1" runat="server" Text="Please choose a file" />
                    </asp:Panel>
                </asp:Panel>
                <asp:Panel ID="pnlTitle" runat="server">
                    <asp:Label ID="lblTitle" runat="server" Text="Title * " />
                    <asp:TextBox ID="txtTitle" CssClass="required" runat="server" />
                    <asp:Panel ID="pnlRemindTitleRequired" CssClass="required-reminder-text" runat="server">
                        <asp:Label runat="server" Text="Please choose a title" />
                    </asp:Panel>
                </asp:Panel>
                <asp:Panel ID="pnlDesc" runat="server">
                    <asp:Label ID="lblDesc" runat="server" Text="Description" />
                    <asp:TextBox ID="txtDesc" runat="server" Wrap="true" TextMode="MultiLine" Rows=4 Columns=50 />
                </asp:Panel>
            </asp:Panel>
        </fieldset>
        <asp:Button runat="server" CssClass="save postback-button" ID="updateData" OnClick="save_Click" Text="Save" />
        <asp:Panel ID="pnlGrab" runat="server" CssClass="grab-add-popup">
            <asp:Panel ID="pnlGrabText" runat="server">
                <asp:Label ID="lblGrabText" runat="server" Text="Add new image"></asp:Label>
            </asp:Panel>
            <asp:Panel ID="pnlImgGrab" runat="server" CssClass="arrow">
                <asp:Image ID="imgGrab" runat="server" ImageUrl="/Images/Test/arrow_down.png" />
            </asp:Panel>
        </asp:Panel>
    </asp:Panel>  
</asp:Panel>