﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UpdateImageDetails.ascx.cs" Inherits="PictureControls.UpdateImageDetails" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit"%>
<asp:Panel ID="pnlDisplay" runat="server" CssClass="img_display">
    <asp:UpdatePanel ID="updatePanelImgDesc" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:Panel runat="server" ID="pnlEditDelImg" CssClass="edit-tools">
                <asp:Panel ID="pnlEditImg" runat="server" CssClass="edit-tool">
                    <asp:Image ID="Image1" runat="server" ImageUrl="/Images/Test/pen_edit.png" />
                </asp:Panel>
                <asp:Panel ID="pnlDelImg" runat="server" CssClass="del-tool">
                    <asp:Image ID="imgDel" runat="server" ImageUrl="/Images/Test/close_delete.png" />
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlImage" runat="server" CssClass="img_container">
                <asp:Image ID="imgItself" runat="server" />
            </asp:Panel>
            <asp:Panel ID="pnlDetails" runat="server" CssClass="img_details">
                <asp:Label ID="lblTitle" runat="server"></asp:Label>
                <p id="pDesc" runat="server"></p>
            </asp:Panel>
            <asp:Panel ID="pnlLoading" runat="server" CssClass="loading">
                <asp:Panel ID="pnlLoadingText" runat="server">
                    <asp:Label ID="lblLoadingText" runat="server" Text="Updating..."></asp:Label>
                </asp:Panel>
                <asp:Panel ID="pnlLoadingGif" runat="server">
                    <img src="../../Images/Test/ajax-loader.gif" alt="" />
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlDetailsToModify" runat="server" CssClass="img_details_modify">
                <asp:Panel runat="server">
                    <asp:Label ID="lblTitleModify" runat="server" Text="Title" />
                    <asp:TextBox ID="txtTitleModify" runat="server" />
                    <asp:Label ID="lblDescModify" runat="server" Text="Description" />
                    <asp:TextBox ID="txtDescModify" TextMode="MultiLine" runat="server" />
                </asp:Panel>
                <asp:Panel runat="server" CssClass="edit-del-butt">
                    <asp:Panel runat="server" CssClass="edit-del-ok">
                        <asp:Button ID="btnModify" CssClass="postback-button" Text="Save" OnClick="save_Click" runat="server" />
                    </asp:Panel>
                    <asp:Panel runat="server" CssClass="edit-del-cancel">
                        <asp:Button ID="btnCancelEdition" runat="server" Text="Cancel" OnClientClick="return false;" />
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlDelConfirm" runat="server" CssClass="del-confirm">
	            <asp:Panel ID="Panel2" runat="server" CssClass="del-warn">
		            <asp:Panel ID="Panel3" runat="server">
                        <asp:Label ID="Label1" runat="server">Do you want to delete this picture?</asp:Label>
                    </asp:Panel>
		            <asp:Panel ID="Panel4" runat="server">
                        <asp:Image ID="Image2" runat="server" ImageUrl="/Images/Test/warn-delete.png" />
                    </asp:Panel>
	            </asp:Panel>
	            <asp:Panel ID="Panel5" runat="server" CssClass="edit-del-butt">
		            <asp:Panel ID="Panel6" runat="server" CssClass="edit-del-ok">
			            <asp:Button ID="Button1" runat="server" Text="Delete" />
		            </asp:Panel>
		            <asp:Panel ID="Panel7" runat="server" CssClass="edit-del-cancel">
			            <asp:Button ID="Button2" runat="server" Text="Cancel" OnClientClick="return false;" />
		            </asp:Panel>
	            </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlBackground" runat="server" CssClass="del-background">
            </asp:Panel>
        </ContentTemplate>    
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="btnModify" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
</asp:Panel>