﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Business;
using Application;

namespace PictureControls
{
    public partial class UpdateImageDetails : System.Web.UI.UserControl
    {

        public string ImgId
        {
            get { return imgId.Value; }
            set { imgId.Value = value; }
        }
        
        public string ImgTitle
        {
            get { return lblTitle.Text; }
            set 
            { 
                lblTitle.Text = value; 
                txtTitleModify.Text = value; 
            }
        }

        public string ImgDesc
        {
            get { return pDesc.InnerText; }
            set { pDesc.InnerText = value; txtDescModify.Text = value; }
        }

        public string ImgUrl
        {
            set { imgItself.ImageUrl = value; }
        }

        private void setNewValues()
        {
            VOImage img = BusinessImage.GetImageById(ImgId);
            lblTitle.Text = img.Title;
            pDesc.InnerText = img.Description;
            txtTitleModify.Text = img.Title;
            txtDescModify.Text = img.Description;
        }

        protected void save_Click(object sender, EventArgs e)
        {
            System.Threading.Thread.Sleep(3000);
            lblTitle.Text = txtTitleModify.Text;
            pDesc.InnerText = txtDescModify.Text;
            VOImage imgToUpdate = new VOImage();
            imgToUpdate.Id = ImgId;
            imgToUpdate.Title = txtTitleModify.Text;
            imgToUpdate.Description = txtDescModify.Text;
            BusinessImage.UpdateImage(imgToUpdate);
            updatePanelImgDesc.Update();
        }
    }
}