﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using CreditAgricole.Framework;

namespace CreditAgricole.PageCodeBehind
{
    public partial class SiteMenu : UserControl
    {
        #region Properties

        /// <summary>
        /// pnlSiteMenu control.
        /// </summary>
        protected Panel pnlSiteMenu;

        /// <summary>
        /// home control.
        /// </summary>
        protected ElementMenu home;

        /// <summary>
        /// activities control.
        /// </summary>
        protected ElementMenu activities;

        #endregion


        public void SelectMenuItem(Constants.ElementsSiteMenu oMenuItem)
        {

            switch (oMenuItem)
            {
                case Constants.ElementsSiteMenu.Home:
                    {
                        home.Selected();
                        break;
                    }
                case Constants.ElementsSiteMenu.Activities:
                    {
                        activities.Selected();
                        break;
                    }
            }
        }
    }
}
