﻿var popupStatus = 0;
//centering popup  
function centerPopup(){  
    var windowWidth = document.documentElement.clientWidth;  
    var windowHeight = document.documentElement.clientHeight;  
    var popupHeight = $(".popupContact").height();  
    var popupWidth = $(".popupContact").width();  
    $(".popupContact").css({  
        "position": "absolute",  
        "top": windowHeight/2-popupHeight/2,  
        "left": windowWidth/2-popupWidth/2  
    });  
    //only need force for IE6  
      
    $(".backgroundPopup").css({  
        "height": windowHeight  
    });  
}  

function loadPopup() {
    if (popupStatus == 0) {
        $(".backgroundPopup").css({
            "opacity": "0.7"
        });
        $(".backgroundPopup").fadeIn("slow");
        $(".popupContact").fadeIn("slow");
        popupStatus = 1;
    }
}

function disablePopup() {  
    if(popupStatus==1){
        $(".backgroundPopup").fadeOut("slow", function () {
            $(this).hide();
        });  
        $(".popupContact").fadeOut("slow", function () {
            $(this).hide();
        });  
        popupStatus = 0;  
    }
}

function displayUpdatePopup(id, title, desc) {
    loadPopup();
    $('.popupForm > input:hidden').val(id);
    $('.titleField').val(title);
    $('.descField').text(desc);
    centerPopup();
}

function resetDisplayImg(displayDiv, modifyDiv) {
    readyToUpdate = 0;
    $('.loading').hide();
    modifyDiv.hide();
    displayDiv.css({
        "background-color": "white",
        "opacity": "0.0"
    });
}

$(function () {
    $(".popupContactClose").click(function () {
        disablePopup();
    });

    $(".backgroundPopup").click(function () {
        disablePopup();
    });
});
$(document).keypress(function(e){  
    if(e.keyCode==27 & popupStatus==1){  
        disablePopup();  
    }
}); 

