﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddImage.ascx.cs" Inherits="PictureControls.AddImage" %>
<asp:Panel ID="pnlAddImagePopup" runat="server" CssClass="add-image-popup">  
    <asp:Label runat="server" CssClass="close-icon" Text="x" />
    <fieldset>
        <legend>New Picture</legend>  
        <asp:Panel ID="pnlInputForm" CssClass="form-popup" runat="server">
            <asp:Panel ID="pnlFileUpload" runat="server">
                <asp:Label ID="lblFileUpload" runat="server" Text="Choose your file * " />
                <asp:FileUpload ID="fileUpload" runat="server" CssClass="required" />
                <asp:Panel ID="pnlRemindFileRequired" CssClass="required-reminder-text" runat="server">
                    <asp:Label ID="Label1" runat="server" Text="Please choose a file" />
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlTitle" runat="server">
                <asp:Label ID="lblTitle" runat="server" Text="Title * " />
                <asp:TextBox ID="txtTitle" CssClass="required" runat="server" />
                <asp:Panel ID="pnlRemindTitleRequired" CssClass="required-reminder-text" runat="server">
                    <asp:Label runat="server" Text="Please choose a title" />
                </asp:Panel>
            </asp:Panel>
            <asp:Panel ID="pnlDesc" runat="server">
                <asp:Label ID="lblDesc" runat="server" Text="Description" />
                <asp:TextBox ID="txtDesc" runat="server" Wrap="true" TextMode="MultiLine" Rows=4 Columns=50 />
            </asp:Panel>
        </asp:Panel>
    </fieldset>
    <asp:Button runat="server" CssClass="save postback-button" ID="updateData" OnClick="save_Click" Text="Save" />
</asp:Panel>  
<asp:Panel ID="pnlBackgroundPopup" runat="server" CssClass="background-popup"></asp:Panel>  
