﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UpdateImageDetails.ascx.cs" Inherits="PictureControls.UpdateImageDetails" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit"%>
<asp:Panel ID="pnlDisplay" runat="server" CssClass="img_display">
    <asp:Panel ID="pnlImage" runat="server" CssClass="img_container">
        <asp:Image ID="imgItself" runat="server" />
    </asp:Panel>
    <asp:Panel ID="pnlDetails" runat="server" CssClass="img_details">
        <asp:Label ID="lblTitle" runat="server"></asp:Label><br />
        <asp:Label ID="lblDesc" runat="server"></asp:Label>
        <asp:Image ID="imgEdit" runat="server" ImageUrl="/Images/Test/modif.jpg" />
    </asp:Panel>
    <asp:Panel ID="pnlLoading" runat="server" CssClass="loading">
        <img src="../../Images/Test/ajax-loader.gif" alt="" />
    </asp:Panel>
    <asp:UpdatePanel ID="updatePanel1" runat="server">
        <ContentTemplate>
            <asp:Panel ID="pnlDetailsToModify" runat="server" CssClass="img_details_modify">
                <asp:Label ID="lblTitleModify" runat="server" Text="Title" />
                <br />
                <asp:TextBox ID="txtTitleModify" runat="server" />
                <br />
                <asp:Label ID="lblDescModify" runat="server" Text="Description" />
                <br />
                <asp:TextBox ID="txtDescModify" TextMode="MultiLine" Rows="4" Columns="18" runat="server" />
                <br />
                <asp:Button ID="btnModify" CssClass="postback-button" Text="OK" OnClick="save_Click" runat="server" />
                <asp:Panel ID="pnlCancel" runat="server" CssClass="img-details-cancel">
                    <asp:Label ID="lblCancel" runat="server" Text="Cancel"></asp:Label>
                </asp:Panel>
            </asp:Panel>
        </ContentTemplate>    
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="btnModify" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
        <asp:UpdatePanelAnimationExtender ID="myAjaxPanel" TargetControlID="updatePanel1" runat="server">
        <Animations>
            <OnUpdating>
                <Sequence>
                    <Parallel duration="0">
                    </Parallel>
                    <Parallel duration=".25" Fps="30">
                        <StyleAction AnimationTarget="pnlLoading" Attribute="display" Value="block" />
                    </Parallel>
                </Sequence>
            </OnUpdating>
            <OnUpdated>
                <Sequence>
                    <Parallel duration="0">
                        <StyleAction AnimationTarget="pnlDisplay" Attribute="border" Value="0" />
                    </Parallel>
                    <Parallel duration=".25" Fps="30">
                        <StyleAction AnimationTarget="pnlLoading" Attribute="display" Value="none" />
                        <Color AnimationTarget="pnlDisplay" StartValue="#F1F59F" EndValue="#FFFFFF" Property="style" PropertyKey="backgroundColor" />  
                        <OpacityAction AnimationTarget="pnlDisplay" Opacity="1.0" />                              
                        <ScriptAction Script="readyToUpdate = 0" />
                    </Parallel>
                </Sequence>
            </OnUpdated>
        </Animations>
    </asp:UpdatePanelAnimationExtender>
</asp:Panel>