﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UpdatePopup.ascx.cs" Inherits="UserControls.Popups.UpdatePopup" %>
<%@ Register TagPrefix="asp" Namespace="AjaxControlToolkit" Assembly="AjaxControlToolkit"%>
<asp:Panel ID="pnlUpdatePopup" runat="server" CssClass="popupContact">  
    <a class="popupContactClose">x</a>  
    <h1>Update picture info</h1>  
    <p class="contactArea">  
        <br/><br/>  
    </p> 
    <asp:Panel ID="pnlLoading" runat="server" CssClass="loading">
        <img src="../../Images/Test/ajax-loader.gif" alt="" />
    </asp:Panel>
    <asp:UpdatePanel ID="updatePanel1" runat="server">
        <ContentTemplate>
            <asp:Panel ID="pnlInputForm" CssClass="popupForm" runat="server">
                <asp:Panel ID="pnlTitle" runat="server">
                    <asp:Label ID="lblTitle" runat="server" Text="Title" />
                    <asp:TextBox ID="txtTitle" CssClass="titleField" runat="server" />
                </asp:Panel>
                <asp:Panel ID="pnlDesc" runat="server">
                    <asp:Label ID="lblDesc" runat="server" Text="Description" />
                    <asp:TextBox ID="txtDesc" CssClass="descField" runat="server" Wrap="true" TextMode="MultiLine" Rows=4 Columns=50 />
                </asp:Panel>
                <asp:Button runat="server" CssClass="save" ID="updateData" OnClick="save_Click" Text="Save" />
                <asp:HiddenField runat="server" ID="hiddenPictureId" />
            </asp:Panel>
        </ContentTemplate>    
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="updateData" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
    <asp:UpdatePanelAnimationExtender ID="myAjaxPanel" TargetControlID="updatePanel1" runat="server" BehaviorID="exAnimation">
        <Animations>
            <OnUpdating>
                <Sequence>
                    <Parallel duration="0">
                        <EnableAction AnimationTarget="updateData" Enabled="false" />
                        <EnableAction AnimationTarget="txtDesc" Enabled="false" />
                        <EnableAction AnimationTarget="txtTitle" Enabled="false" />
                    </Parallel>
                    <Parallel duration=".25" Fps="30">
                        <StyleAction AnimationTarget="pnlLoading" Attribute="display" Value="block" />
                        <StyleAction AnimationTarget="pnlInputForm" Attribute="display" Value="none" />
                    </Parallel>
                </Sequence>
            </OnUpdating>
            <OnUpdated>
                <Sequence>
                    <Parallel duration="0">
                        <EnableAction AnimationTarget="updateData" Enabled="true" />
                        <EnableAction AnimationTarget="txtDesc" Enabled="true" />
                        <EnableAction AnimationTarget="txtTitle" Enabled="true" />
                    </Parallel>
                    <Parallel duration=".25" Fps="30">
                        <StyleAction AnimationTarget="pnlLoading" Attribute="display" Value="none" />
                        <StyleAction AnimationTarget="pnlInputForm" Attribute="display" Value="block" />
                    </Parallel>
                </Sequence>
            </OnUpdated>
        </Animations>
    </asp:UpdatePanelAnimationExtender>
</asp:Panel>  
    <div class="backgroundPopup"></div>  
